Loading...
Searching...
No Matches
database_header.hpp File Reference
Private

defines the database structure in file More...

`#include "../my_config.h"`
`#include "generic_file.hpp"`
`#include "user_interaction.hpp"`
`#include "compression.hpp"`
`#include <memory>`

Go to the source code of this file.

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Functions

generic_file * | libdar::database_header_create (const std::shared_ptr< user_interaction > &dialog, const std::string &filename, bool overwrite, compression algozip, U_I compr_level)
| create the header for a dar_manager database
generic_file * | libdar::database_header_open (const std::shared_ptr< user_interaction > &dialog, const std::string &filename, unsigned char &db_version, compression &algozip, U_I &compr_level)
| read the header of a dar_manager database
const unsigned char | libdar::database_header_get_supported_version ()

## Detailed Description

defines the database structure in file

Definition in file database_header.hpp.